<?php
// $Id: preview.php,v 1.8 2005/03/29 18:27:44 holroy Exp $

require(TemplateDir . '/preview.php');
require('lib/captcha.php');

// Preview what a page will look like when it is saved.
function action_preview()
{
  global $ParseEngine, $archive, $UseCaptcha;
  global $page, $document, $nextver, $pagestore;

  $document = str_replace("\r", "", $document);
  $pg = $pagestore->page($page);
  $pg->read();

  if ($UseCaptcha) {
    // Generate a new captcha every time
    
    // Build the Captcha, of given length
    $aphrase_arr = generate_captcha(5);
    if (! is_array($aphrase_arr) )
    {
      echo "<p> Error: could not retrieve array. </p>";
      exit();  //*** This is not especially graceful... ;-/
    }
    else
    {
      $aphrase_ascii = $aphrase_arr[0];
      $aphrase_orig = $aphrase_arr[1];
    }

    // Store ASCII Art phrase in session variable
    session_name("taviCaptcha");
    session_start();
    $_SESSION['captcha_phrase'] = $aphrase_orig;
    $_SESSION['captcha_image'] = $aphrase_ascii;

    /*
    // Restore/start session 
    session_name("taviCaptcha");
    session_start();
   
    if ($_SESSION['captcha_phrase']) {
      $captcha = $_SESSION['captcha_image'];
    } else {
      echo "<strong>Something went wrong. No captcha information</strong>\n";
      // Should we generate a new captcha here???
      exit(1);
    }
    */
  } else {
    $captcha='';
  }
    
  template_preview(array('page'      => $page,
                         'text'      => $document,
                         'html'      => parseText($document,
                                                  $ParseEngine, $page),
                         'timestamp' => $pg->time,
                         'nextver'   => $nextver,
                         'archive'   => $archive,
                         'captcha'   => $aphrase_ascii));
}
?>
